curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/networks/{network}/tokens/{address}/top_holders \
--header 'x-cg-pro-api-key: <api-key>'{
"data": {
"id": "solana_Dfh5DzRgSvvCFDoYc2ciTkMrbDfRKybA4SoFbPmApump",
"type": "top_holder",
"attributes": {
"last_updated_at": "2026-05-28T03:21:51.545Z",
"holders": [
{
"rank": 1,
"address": "u6PJ8DtQuPFnfmwHbGFULQ4u4EgjDiyYKjVEsynXq2w",
"label": "Wallet 1",
"amount": "310021323.445634",
"percentage": "31.0041",
"value": "6157733.22",
"average_buy_price_usd": null,
"total_buy_count": null,
"total_sell_count": null,
"unrealized_pnl_usd": null,
"unrealized_pnl_percentage": null,
"realized_pnl_usd": null,
"realized_pnl_percentage": null,
"explorer_url": "https://solscan.io/account/u6PJ8DtQuPFnfmwHbGFULQ4u4EgjDiyYKjVEsynXq2w"
},
{
"rank": 2,
"address": "28RWPC6XPxSxUVjd27KiNRtcHVxKtd6cjms7eBcxiqdV",
"label": null,
"amount": "87536939.662678",
"percentage": "8.7543",
"value": "1738684.02",
"average_buy_price_usd": null,
"total_buy_count": null,
"total_sell_count": null,
"unrealized_pnl_usd": null,
"unrealized_pnl_percentage": null,
"realized_pnl_usd": null,
"realized_pnl_percentage": null,
"explorer_url": "https://solscan.io/account/28RWPC6XPxSxUVjd27KiNRtcHVxKtd6cjms7eBcxiqdV"
}
]
}
}
}Top Token Holders by Token Address
To query top token holders based on the provided token contract address on a network
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/networks/{network}/tokens/{address}/top_holders \
--header 'x-cg-pro-api-key: <api-key>'{
"data": {
"id": "solana_Dfh5DzRgSvvCFDoYc2ciTkMrbDfRKybA4SoFbPmApump",
"type": "top_holder",
"attributes": {
"last_updated_at": "2026-05-28T03:21:51.545Z",
"holders": [
{
"rank": 1,
"address": "u6PJ8DtQuPFnfmwHbGFULQ4u4EgjDiyYKjVEsynXq2w",
"label": "Wallet 1",
"amount": "310021323.445634",
"percentage": "31.0041",
"value": "6157733.22",
"average_buy_price_usd": null,
"total_buy_count": null,
"total_sell_count": null,
"unrealized_pnl_usd": null,
"unrealized_pnl_percentage": null,
"realized_pnl_usd": null,
"realized_pnl_percentage": null,
"explorer_url": "https://solscan.io/account/u6PJ8DtQuPFnfmwHbGFULQ4u4EgjDiyYKjVEsynXq2w"
},
{
"rank": 2,
"address": "28RWPC6XPxSxUVjd27KiNRtcHVxKtd6cjms7eBcxiqdV",
"label": null,
"amount": "87536939.662678",
"percentage": "8.7543",
"value": "1738684.02",
"average_buy_price_usd": null,
"total_buy_count": null,
"total_sell_count": null,
"unrealized_pnl_usd": null,
"unrealized_pnl_percentage": null,
"realized_pnl_usd": null,
"realized_pnl_percentage": null,
"explorer_url": "https://solscan.io/account/28RWPC6XPxSxUVjd27KiNRtcHVxKtd6cjms7eBcxiqdV"
}
]
}
}
}Notes
- Top holders data is currently in Beta, with ongoing improvements to data quality, coverage, and update frequency.
- Max
holdersvalue: 50 for non-Solana networks, 40 for Solana.
Supported networks
Supported networks
| Chain | Network id |
|---|---|
| Solana | solana |
| Ethereum | eth |
| Base | base |
| BNB Chain | bsc |
| Optimism | optimism |
| Arbitrum | arbitrum |
| Polygon | polygon_pos |
| TON | ton |
| Sui | sui-network |
| Robinhood | robinhood |
| Ronin | ronin |
| Bittensor | bittensor |
SDK Examples
const response = await client.onchain.networks.tokens.topHolders.get('Dfh5DzRgSvvCFDoYc2ciTkMrbDfRKybA4SoFbPmApump', {
network: 'solana',
});
console.log(JSON.stringify(response, null, 2));
response = client.onchain.networks.tokens.top_holders.get(
"Dfh5DzRgSvvCFDoYc2ciTkMrbDfRKybA4SoFbPmApump",
network="solana",
)
print(response.model_dump_json(indent=2))
Authorizations
Learn how to set up your API key
Query Parameters
Number of top token holders to return, any integer or max.
Default value: 10
Include PnL details for token holders.
Default: false
Response
Top token holders data
Hide child attributes
Hide child attributes
Token identifier
Resource type
Hide child attributes
Hide child attributes
Data last updated timestamp
Hide child attributes
Hide child attributes
Holder rank
Holder wallet address
Address label
Token amount held
Percentage of total supply held
Value of holdings in USD
Average buy price in USD
Total number of buy transactions
Total number of sell transactions
Unrealized PnL in USD
Unrealized PnL percentage
Realized PnL in USD
Realized PnL percentage
Block explorer URL for the holder address
Was this page helpful?

